iOS高德地图SDK(3D) V11.2.0001

Instance Methods | Properties | List of all members
MAPolylineRenderer Class Reference

`#import <MAPolylineRenderer.h>`

Inheritance diagram for MAPolylineRenderer:

## Instance Methods
(instancetype) | - initWithPolyline:
| 根据指定的MAPolyline生成一个多段线Renderer Generate a polyline Renderer based on the specified MAPolyline More...
Instance Methods inherited from MAOverlayRenderer
(GLuint strokeTextureID) | - __attribute
(instancetype) | - initWithOverlay:
| 初始化并返回一个Overlay Renderer initialize and return an Overlay Renderer More...
(float *) | - getViewMatrix
| 获取当前地图view矩阵，数组长度为16，无需外界释放. 需要添加至地图后，才能获取有效矩阵数据，否则返回NULL Get the current map view matrix with an array length of 16, no external release required. Valid matrix data can only be obtained after adding to the map, otherwise returns NULL. More...
(float *) | - getProjectionMatrix
| 获取当前地图projection矩阵，数组长度为16，无需外界释放. 需要添加至地图后，才能获取有效矩阵数据，否则返回NULL Get the current map projection matrix with an array length of 16, no need for external release. Valid matrix data can only be obtained after adding it to the map, otherwise returns NULL. More...
(MAMapPoint) | - getOffsetPoint
| 获取当前地图中心点偏移，用以把地图坐标转换为gl坐标。需要添加到地图获取才有效。（since 5.1.0） Get the current map center offset to convert map coordinates to gl coordinates. It only takes effect when added to map acquisition （since 5.1.0） More...
(id< MTLRenderCommandEncoder >) | - getCommandEncoder
| 获取Metal渲染MTLRenderCommandEncoder对象。注意：打开地图MetalEnable时有效，否则为nil（since 7.9.0） Obtain the Metal rendering MTLRenderCommandEncoder object. Note: It is valid when MetalEnable is turned on for the map, otherwise it is nil.（since 7.9.0） More...
(CGFloat) | - getMapZoomLevel
| 获取当前地图缩放级别，需要添加到地图获取才有效。（since 5.1.0） Get the current map zoom level, which is only valid when added to the map（since 5.1.0） More...
(CGPoint) | - glPointForMapPoint:
| 将MAMapPoint转换为opengles可以直接使用的坐标 Convert MAMapPoint to coordinates that can be directly used by OpenGLES More...
(CGPoint *) | - glPointsForMapPoints:count:
| 批量将MAMapPoint转换为opengles可以直接使用的坐标 Batch convert MAMapPoint to coordinates that can be directly used by opengles More...
(CGFloat) | - glWidthForWindowWidth:
| 将屏幕尺寸转换为OpenGLES尺寸 Convert screen size to OpenGLES size More...
(void) | - glRender
| 绘制函数(子类需要重载来实现) Drawing function (subclasses need to override to implement) More...
(GLuint) | - loadTexture:
| 加载纹理图片. 注意：仅使用gles环境（since 5.1.0） Load texture image. Note: Only use gles environment （since 5.1.0） More...
(void) | - deleteTexture:
| 删除纹理. 注意：仅使用gles环境（since 5.1.0） Delete texture. Note: Only use in GLES environment（since 5.1.0） More...
(void) | - setNeedsUpdate
| 当关联overlay对象有更新时，调用此接口刷新. since 5.0.0 Call this interface to refresh when the associated overlay object is updated. since 5.0.0 More...

## Properties
MAPolyline * | polyline
BOOL | is3DArrowLine
UIColor * | sideColor
BOOL | userInteractionEnabled
CGFloat | hitTestInset
BOOL | showRangeEnabled
MAPathShowRange | showRange
Properties inherited from MAOverlayPathRenderer
UIColor * | fillColor
UIColor * | strokeColor
CGFloat | lineWidth
MALineJoinType | lineJoinType
MALineCapType | lineCapType
CGFloat | miterLimit
MALineDashType | lineDashType
BOOL | reducePoint
Properties inherited from MAOverlayRenderer
id< MAOverlayRenderDelegate > | rendererDelegate
id< MAOverlay > | overlay
UIImage * | strokeImage
CGFloat | alpha
CGFloat | contentScale

## Additional Inherited Members
Protected Attributes inherited from MAOverlayRenderer
GLuint | _strokeTextureID
CGSize | _strokeTextureSize
BOOL | _needsUpdate
BOOL | _needsLoadStrokeTexture

## Detailed Description

此类用于绘制MAPolyline,可以通过MAOverlayPathRenderer修改其fill和stroke attributes This class is used to draw MAPolyline, and its fill and stroke attributes can be modified through MAOverlayPathRenderer.

## Method Documentation

## ◆ initWithPolyline:

- (instancetype) initWithPolyline: |  | (MAPolyline *) | polyline |

根据指定的MAPolyline生成一个多段线Renderer Generate a polyline Renderer based on the specified MAPolyline

Parameters

  polyline | 指定MAPolyline Specify MAPolyline

Returns
  新生成的多段线Renderer Newly generated polyline Renderer

## Property Documentation

## ◆ hitTestInset

- (CGFloat) hitTestInset
| read write nonatomic assign

用于调整点击选中热区大小，默认为0. 负值增大热区，正值减小热区. since 7.1.0 Used to adjust the size of the click selection hotspot, default is 0. Negative values increase the hotspot, positive values decrease the hotspot. since 7.1.0

## ◆ is3DArrowLine

- (BOOL) is3DArrowLine
| read write nonatomic assign

设置是否显示3d箭头线, 默认为NO。如果设置为YES，则为3d箭头线。since 6.7.0 Set whether to display the 3D arrow line, default is NO. If set to YES, it will be a 3D arrow line. since 6.7.0

## ◆ polyline

- (MAPolyline*) polyline
| read nonatomic assign

关联的MAPolyline model associated MAPolyline model

## ◆ showRange

- (MAPathShowRange) showRange
| read write nonatomic assign

显示范围 since 7.5.0 Display range since 7.5.0

## ◆ showRangeEnabled

- (BOOL) showRangeEnabled
| read write nonatomic assign

是否启用显示范围，YES启用，不启用时展示全路径 since 7.5.0 Whether to enable the display range, YES to enable, when not enabled, the full path is displayed. since 7.5.0

## ◆ sideColor

- (UIColor*) sideColor
| read write nonatomic strong

设置为立体3d箭头的侧边颜色（当is3DArrowLine为YES时有效)顶部颜色使用strokeColor。since 6.7.0 Set the side color of the 3D arrow (effective when is3DArrowLine is YES) The top color uses strokeColor. since 6.7.0

## ◆ userInteractionEnabled

- (BOOL) userInteractionEnabled
| read write nonatomic assign

是否开启点击选中功能，默认NO. since 7.1.0 Whether to enable the click selection function, default is NO. since 7.1.0

The documentation for this class was generated from the following file:

- MAPolylineRenderer.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。